import {Component, ComponentFactoryResolver, OnInit, ViewChild} from '@angular/core';
import {ActivatedRoute, ActivationStart, Router, RouterOutlet} from '@angular/router';

@Component({
  selector: 'v-tabs',
  templateUrl: './tabs.page.html',
  styleUrls: ['./tabs.page.scss'],
})
export class TabsPage implements OnInit {

    @ViewChild(RouterOutlet) outlet: RouterOutlet;

  constructor(private router: Router) {

  }

  ngOnInit() {
      this.router.events.subscribe(e => {
          if (e instanceof ActivationStart && e.snapshot.outlet === 'tabs')
              console.log('DDEDEDEEEEEEEEEDDDDDDDDDDDDDDDDD');
              this.outlet.deactivate();
      });
  }


}
